message_builders.hpp File Reference
`#include <ctime>`
`#include <chrono>`
`#include <restinio/impl/include_fmtlib.hpp>`
`#include <restinio/common_types.hpp>`
`#include <restinio/http_headers.hpp>`
`#include <restinio/os.hpp>`
`#include <restinio/sendfile.hpp>`
`#include <restinio/impl/connection_base.hpp>`
`#include <restinio/impl/header_helpers.hpp>`

Go to the source code of this file.

## Classes

class | restinio::base_response_builder_t< Response_Builder >
class | restinio::response_builder_t< Response_Output_Strategy >
| Forbid arbitrary response_builder_t instantiations. More...
struct | restinio::restinio_controlled_output_t
| Tag type for RESTinio controlled output response builder. More...
class | restinio::response_builder_t< restinio_controlled_output_t >
| Simple standard response builder. More...
struct | restinio::user_controlled_output_t
| Tag type for user controlled output response builder. More...
class | restinio::response_builder_t< user_controlled_output_t >
| User controlled response output builder. More...
struct | restinio::chunked_output_t
| Tag type for chunked output response builder. More...
class | restinio::response_builder_t< chunked_output_t >
| Chunked transfer encoding output builder. More...

## Namespaces

namespace | restinio

## Functions

std::string | restinio::make_date_field_value (std::time_t t)
| Format a timepoint to a string of a propper format. More...
std::string | restinio::make_date_field_value (std::chrono::system_clock::time_point tp)